How to install html2wiki and TeX ?

General talk about packaging procedures and packages.
salix_user
Posts: 49
Joined: 23. Jan 2019, 13:15

How to install html2wiki and TeX ?

Post by salix_user » 21. May 2020, 09:29

Hi.
How to install html2wiki ?
for Ubuntu: is called libhtml-wikiconverter-perl

Probably, this https://github.com/willysr/slackbuilds/ ... iConverter ?

Besides,
I have installed tetex (teTeX binaries and support files)
but
$ ./make_manuals.sh en
------- Making PDF manual (en) -------
You don't have a working TeX binary (tex) installed anywhere in
your PATH, and texi2dvi cannot proceed without one. If you want to use
this script, you'll need to install TeX (if you don't have it) or change
your PATH or TEX environment variable (if you do). See the --help
output for more details.

For information about obtaining TeX, please see http://tug.org/texlive,
or do a web search for TeX and your operating system or distro.
------- Making HTML manual (en) -------
------- Making TXT manual (en) -------
...
AFAIU I need to install texlive ?
or

https://yihui.org/tinytex/faq/

Image

User avatar
mimosa
Salix Warrior
Posts: 3146
Joined: 25. May 2010, 17:02
Contact:

Re: How to install html2wiki and TeX ?

Post by mimosa » 21. May 2020, 11:04

The SlackBuild for it is called perl-HTML-WikiConverter. The build failed when I tried it, but after I installed perl-Try-Tiny, everything went smoothly.

But it looks as though you have tried that and it didn't work. Could you be a bit more specific about what steps you took?

It may well be that there are some more missing dependencies, which I happened to have installed already. But you shouldn't need to install anything third-party to get it to build.

salix_user
Posts: 49
Joined: 23. Jan 2019, 13:15

Re: How to install html2wiki and TeX ?

Post by salix_user » 21. May 2020, 12:26

But it looks as though you have tried that and it didn't work. Could you be a bit more specific about what steps you took?
I have installed tetex and texi2html
The SlackBuild for it is called perl-HTML-WikiConverter. The build failed when I tried it, but after I installed perl-Try-Tiny, everything went smoothly.
I have found it in Sourcery.
It requires

perl-Params-Validate
perl-Test-Exception
perl-Test-Fatal
perl-html-parser
perl-html-tagset
perl-Test-Harness
perl-CGI
perl-XML-Writer


Yes, the build was failed

Code: Select all

Checking prerequisites...
  recommends:
    *  HTML::FormatText is not installed
    *  LWP::UserAgent is not installed

   HTML::FormatText is only required if you want to use HTML::Element's
   "format" method, which converts HTML to formatted plain text.

   LWP::UserAgent is only required if you want to use HTML::TreeBuilder's
   "new_from_url" method, which fetches a document given its URL.

   If you install these modules later, you do NOT need to reinstall HTML-Tree.

ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the versions
of the modules indicated above before proceeding with this installation

Run 'Build installdeps' to install missing prerequisites.

Created MYMETA.yml and MYMETA.json
Creating new 'Build' script for 'HTML-Tree' version '5.07'
Building HTML-Tree
t/00-all_prereqs.t .. ok
t/00system.t ........ ok
t/assubs.t .......... ok
t/attributes.t ...... ok
t/body.t ............ ok
t/building.t ........ ok
t/children.t ........ ok
t/clonei.t .......... ok
t/comment.t ......... ok
Can't locate Try/Tiny.pm in @INC (you may need to install the Try::Tiny module) (@INC contains: /usr/src/slapt-src/perl/perl-HTML-Tree/HTML-Tree-5.07/blib/lib /usr/src/slapt-src/perl/perl-HTML-Tree/HTML-Tree-5.07/blib/arch /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/share/perl5/vendor_perl/Test/Fatal.pm line 42.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Test/Fatal.pm line 42.
Compilation failed in require at t/construct_tree.t line 9.
BEGIN failed--compilation aborted at t/construct_tree.t line 9.
# Looks like your test exited with 2 before it could output anything.
t/construct_tree.t .. 
Dubious, test returned 2 (wstat 512, 0x200)
, but after I installed perl-Try-Tiny, everything went smoothly.

However, I get the same problem
$ ./make_manuals.sh en
------- Making PDF manual (en) -------
You don't have a working TeX binary (tex) installed anywhere in
your PATH, and texi2dvi cannot proceed without one. If you want to use
this script, you'll need to install TeX (if you don't have it) or change
your PATH or TEX environment variable (if you do). See the --help
output for more details.

For information about obtaining TeX, please see http://tug.org/texlive,
or do a web search for TeX and your operating system or distro.
------- Making HTML manual (en) -------
------- Making TXT manual (en) -------

Well, I have installed texlive

Image

For now, terminal says
$ ./make_manuals.sh en
------- Making PDF manual (en) -------
/usr/bin/texi2dvi: pdfetex exited with bad status, quitting.
------- Making HTML manual (en) -------
------- Making TXT manual (en) -------
-------------
Besides, there is one more problem with another command
$ ./make_wiki.sh en

Code: Select all

[doc]$ ./make_wiki.sh en
Converting cinelerra_cv_en.html to cinelerra_cv_en/
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_1.html to cinelerra_cv_en/cinelerra_cv_en.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_10.html to cinelerra_cv_en/cinelerra_cv_en_1.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_11.html to cinelerra_cv_en/cinelerra_cv_en_10.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_12.html to cinelerra_cv_en/cinelerra_cv_en_11.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_13.html to cinelerra_cv_en/cinelerra_cv_en_12.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_14.html to cinelerra_cv_en/cinelerra_cv_en_13.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_15.html to cinelerra_cv_en/cinelerra_cv_en_14.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_16.html to cinelerra_cv_en/cinelerra_cv_en_15.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_17.html to cinelerra_cv_en/cinelerra_cv_en_16.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_18.html to cinelerra_cv_en/cinelerra_cv_en_17.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_19.html to cinelerra_cv_en/cinelerra_cv_en_18.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_2.html to cinelerra_cv_en/cinelerra_cv_en_19.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_20.html to cinelerra_cv_en/cinelerra_cv_en_2.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_21.html to cinelerra_cv_en/cinelerra_cv_en_20.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_22.html to cinelerra_cv_en/cinelerra_cv_en_21.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_23.html to cinelerra_cv_en/cinelerra_cv_en_22.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_24.html to cinelerra_cv_en/cinelerra_cv_en_23.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_25.html to cinelerra_cv_en/cinelerra_cv_en_24.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_3.html to cinelerra_cv_en/cinelerra_cv_en_25.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_4.html to cinelerra_cv_en/cinelerra_cv_en_3.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_5.html to cinelerra_cv_en/cinelerra_cv_en_4.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_6.html to cinelerra_cv_en/cinelerra_cv_en_5.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_7.html to cinelerra_cv_en/cinelerra_cv_en_6.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_8.html to cinelerra_cv_en/cinelerra_cv_en_7.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_9.html to cinelerra_cv_en/cinelerra_cv_en_8.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_abt.html to cinelerra_cv_en/cinelerra_cv_en_9.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_fot.html to cinelerra_cv_en/cinelerra_cv_en_abt.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
Converting cinelerra_cv_en_toc.html to cinelerra_cv_en/cinelerra_cv_en_fot.txt
Can't locate Module/Implementation.pm in @INC (you may need to install the Module::Implementation module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Params/Validate.pm line 9.
Compilation failed in require at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/HTML/WikiConverter.pm line 5.
Compilation failed in require at /usr/bin/html2wiki line 7.
BEGIN failed--compilation aborted at /usr/bin/html2wiki line 7.
[doc]$ 
I am a cinelerra-cv tester. I am going to update our old manual.
So, I need all these libraries installed without any problems. SalixOS is my main system. Please, help.
This manual on github
This is a cin-cv's temporary mirror.

p.s.
I have installed perl-Params-Validate in gslapt, but Sourcery shows perl-Params-ValidationCompiler. Do I need it ?

User avatar
gapan
Salix Wizard
Posts: 5623
Joined: 6. Jun 2009, 17:40

Re: How to install html2wiki and TeX ?

Post by gapan » 21. May 2020, 13:44

It looks like it needs the perl-Module-Implementation package?

For latex, you can either install the tetex package, if you want a (very) minimal installation that may or not be enough for your purposes, or you can install texlive, for a complete latex system: https://tug.org/texlive/
Use the provided script to install texlive somewhere on your harddrive (I have it under ~/texlive) and add the respective binary directory to your path somewhere in your ~/.profile. I have:

Code: Select all

export PATH=$PATH:~/texlive/bin/x86_64-linux
you'll need to re-login for it to work, or just type that command in your current bash.
Image
Image

salix_user
Posts: 49
Joined: 23. Jan 2019, 13:15

Re: How to install html2wiki and TeX ?

Post by salix_user » 21. May 2020, 14:47

gapan wrote:
21. May 2020, 13:44
It looks like it needs the perl-Module-Implementation package?
Yes. I have installed it and perl-Module-Runtime because
[doc]$ ./make_wiki.sh en
Converting cinelerra_cv_en.html to cinelerra_cv_en/
Can't locate Module/Runtime.pm in @INC (you may need to install the Module::Runtime module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/share/perl5/vendor_perl/Module/Implementation.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Module/Implementation.pm line 8.
But
$ ./make_wiki.sh en
Converting cinelerra_cv_en.html to cinelerra_cv_en/
Dialect 'DokuWiki' could not be loaded (tried HTML::WikiConverter::DokuWiki, DokuWiki). Error: Can't locate DokuWiki.pm in @INC (you may need to install the DokuWiki module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at (eval 9) line 1.
BEGIN failed--compilation aborted at (eval 9) line 1.
at /usr/bin/html2wiki line 10.
I have installed dokuwiki but terminal shows same problem.

galmei
Posts: 93
Joined: 1. Jun 2018, 21:54

Re: How to install html2wiki and TeX ?

Post by galmei » 21. May 2020, 18:11

salix_user wrote:
21. May 2020, 14:47
./make_wiki.sh en
Converting cinelerra_cv_en.html to cinelerra_cv_en/
Dialect 'DokuWiki' could not be loaded (tried HTML::WikiConverter::DokuWiki, DokuWiki). Error: Can't locate DokuWiki.pm in @INC (you may need to install the DokuWiki module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at (eval 9) line 1.
BEGIN failed--compilation aborted at (eval 9) line 1.
at /usr/bin/html2wiki line 10.
If the process thinks DokuWiki.pm cannot be found, then the file may be installed in the wrong place or not at all. Did you search for the file DokuWiki.pm? E.g. using:

Code: Select all

find / -name DokuWiki.pm -print
If it is there, you can check if it is known, for example with:

Code: Select all

sudo cpan -l
You can catch the output and search for the installed modules and classes, and thus determine if they are known.
The class HTML::WikiConverter and the DokuWiki module should be found.

salix_user
Posts: 49
Joined: 23. Jan 2019, 13:15

Re: How to install html2wiki and TeX ?

Post by salix_user » 21. May 2020, 18:56

If the process thinks DokuWiki.pm cannot be found, then the file may be installed in the wrong place or not at all. Did you search for the file DokuWiki.pm? E.g. using:
Code:
find / -name DokuWiki.pm -print
I do not see it in output.
Dialect 'DokuWiki' could not be loaded (tried HTML::WikiConverter::DokuWiki, DokuWiki). Error: Can't locate DokuWiki.pm in @INC
I have found something https://forum.ubuntu-fr.org/viewtopic.php?id=371265
But how to use this solution(?) ?

salix_user
Posts: 49
Joined: 23. Jan 2019, 13:15

Re: How to install html2wiki and TeX ?

Post by salix_user » 21. May 2020, 19:40

gapan wrote:
21. May 2020, 13:44
It looks like it needs the perl-Module-Implementation package?

For latex, you can either install the tetex package, if you want a (very) minimal installation that may or not be enough for your purposes, or you can install texlive, for a complete latex system: https://tug.org/texlive/
Use the provided script to install texlive somewhere on your harddrive (I have it under ~/texlive) and add the respective binary directory to your path somewhere in your ~/.profile. I have:

Code: Select all

export PATH=$PATH:~/texlive/bin/x86_64-linux
you'll need to re-login for it to work, or just type that command in your current bash.
But I see that texlive is gslapt

User avatar
gapan
Salix Wizard
Posts: 5623
Joined: 6. Jun 2009, 17:40

Re: How to install html2wiki and TeX ?

Post by gapan » 21. May 2020, 21:55

salix_user wrote:
21. May 2020, 14:47
But
$ ./make_wiki.sh en
Converting cinelerra_cv_en.html to cinelerra_cv_en/
Dialect 'DokuWiki' could not be loaded (tried HTML::WikiConverter::DokuWiki, DokuWiki). Error: Can't locate DokuWiki.pm in @INC (you may need to install the DokuWiki module) (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at (eval 9) line 1.
BEGIN failed--compilation aborted at (eval 9) line 1.
at /usr/bin/html2wiki line 10.
I have installed dokuwiki but terminal shows same problem.
Looks like you need this perl module: https://metacpan.org/pod/HTML::WikiConverter::DokuWiki

Unfortunately there is no package or slackbuild for that as far as I can see. You may try to use cpan2tgz to create one: https://jaos.org/
salix_user wrote:
21. May 2020, 19:40
But I see that texlive is gslapt
Correct. You may also use that. But I still recommend installing texlive from their installation script if you need a full latex installation.
Image
Image

salix_user
Posts: 49
Joined: 23. Jan 2019, 13:15

Re: How to install html2wiki and TeX ?

Post by salix_user » 21. May 2020, 22:22

Unfortunately there is no package or slackbuild for that as far as I can see. You may try to use cpan2tgz to create one: https://jaos.org/
I have installed cpan2tgz via Sourcery.

https://jaos.org/ says
Requires: (all available at www.cpan.org)
Getopt::Long
CPAN
Do I need these ones ?

Post Reply